package com.fdkankan.scene.service;

import com.fdkankan.common.response.ResultData;
import com.fdkankan.scene.entity.SceneEditInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.scene.vo.*;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2022-01-18
 */
public interface ISceneEditInfoService extends IService<SceneEditInfo> {

    SceneEditInfoVO saveScene(SceneEditInfoParamVO param);

    SceneEditInfo getBySceneProId(long sceneProId);

    ResultData publicScene(SceneEditInfoParamVO param) throws Exception;

    SceneInfoVO getSceneInfo(SceneInfoParamVO param);

    ResultData saveUpload(SaveUploadParamVO param);

}
